﻿var categories = {
"mastercategories":[
{
    "index": 0,
"description": "OBVAM REST APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\nOBVAM REST API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-	Host name is the domain.\n-	The resource represents one of the OBVAM REST resources. \n-	The resource-specific part of the URL specifies the actual resource being referenced.\n\n",
    "name": "Overview"
},
	{
    "index": 1,
	"description": "",
    "name": "obvam-identifier-services"
},
{
    "index": 2,
    "description": "",
    "name": "obvam-transaction-journal-services"
},
{
    "index": 3,
    "description": "",
    "name": "obvam-account-services"
},
{
    "index": 4,
    "description": "",
    "name": "obvam-eca-services"
},
{
    "index": 5,
    "description": "",
    "name": "obvam-entity-services"
},
{
    "index": 6,
    "description": "",
    "name": "obvam-external-dda-services"
},
{
    "index": 7,
    "description": "",
    "name": "obvam-internal-transfer-services"
},
{
    "index": 8,
    "description": "",
    "name": "obvam-statement-services"
},
{
    "index": 9,
    "description": "",
    "name": "obvam-core-services"
},
{
    "index": 10,
    "description": "",
    "name": "external-interest-engine-service" 
},
{
    "index": 11,
    "description": "",
    "name": "external-liquidity-management-service"
}
]
};
var subCategories = {
"list":[
	{
    "index": 1,
    "yaml": "AccFclty.yaml",
    "description": "This is the Service for Account Facility Creation and maintenance. This function is used to define the real customer and its real accounts for which virtual accounts can be created. It has a Real Customer LOV field which has one to many Relation with Real Accounts of that customer.",
	"parentcategory": "obvam-core-services",
    "displayName": "Account Facility"
},
{
    "index": 1,
    "yaml": "IdentifierBrnParam.yaml",
    "description": "Virtual account Short Identifier- Branch Parameters is used in defining Identifier Branch that maintains Identifier Mask,start position , fixed value for the Branch Code. This mask is used in defining Virtual Identifier which is validated against Transaction's Account Number Mask.",
    "parentcategory": "obvam-identifier-services",
    "displayName": "Identifier Branch"
},
{
    "index": 2,
    "yaml": "Idmap.yaml",
    "description": "Virtual Account Identifier Mapping Service captures various details which is validated against the incoming Transaction . It captures the Virtual Identifier based on mask maintained at Identifier branch. ",
    "parentcategory": "obvam-identifier-services",
    "displayName": "Identifier Map"
},
{
    "index": 3,
    "yaml": "IdentifierRule.yaml",
    "description": "Corporate Specific Static Rule Maintenance Service allows to specify Rules that can be validated against the incoming transaction. This Rule can be mapped to Virtual Identifier . Rule Id can be defined for the real Customer . Rules are applied for Account number length, transaction amount, remitter id.",
    "parentcategory": "obvam-identifier-services",
    "displayName": "Identifier Rule"
},
{
    "index": 4,
    "yaml": "RemitterId.yaml",
    "description": "Remitter List ID Configuration service helps in the creation of Remitter List ID records. It has a Remitter List Id for a list of remitter ids. This Remitter List id can be mapped to Identifier Rule.",
    "parentcategory": "obvam-identifier-services",
    "displayName": "Remitter ids"
},
{
    "index": 1,
    "yaml": "transaction.yaml",
    "description": "This is a service for hosting Transaction services. Transaction can be posted through this service which will be processed.",
    "parentcategory": "obvam-transaction-journal-services",
    "displayName": "Transaction Journal"
},
{
    "index": 1,
    "yaml": "Account.yaml",
    "description": "Virtual Account for Virtual Entity can be created using this service. Virtual Account details, IBAN and preferences like Debit/Credit restrictions, Interest, Overdraft, Real Account Linkage etc can also be captured. ",
    "parentcategory": "obvam-account-services",
    "displayName": "Virtual Accounts"
},
{
    "index": 2,
    "yaml": "AccMap.yaml",
    "description": "Virtual Account Structure can be created using this service. Through this service, Virtual accounts can be mapped to a real account and the structure can be linked to various virtual accounts as per the customer requirement.",
    "parentcategory": "obvam-account-services",
    "displayName": "Account Maps"
},
{
    "index": 3,
    "yaml": "AccountProduct.yaml",
    "description": "Corporate Specific Virtual Account Products can be created using this service. These products can be used further to create Virtual Accounts. Preferences must be enabled first at Product level before enabling at Account level.",
    "parentcategory": "obvam-account-services",
    "displayName": "OBVAM Account Product"
},
{
    "index": 3,
    "yaml": "Batch.yaml",
    "description": "Virtual Account for Virtual Entity can be created using this service. Virtual Account details, IBAN and preferences like Debit/Credit restrictions, Interest, Overdraft, Real Account Linkage etc can also be captured.",
    "parentcategory": "obvam-account-services",
    "displayName": "Batch"
},
{
    "index": 3,
    "yaml": "CcyAccGroup.yaml",
    "description": "Maintenance of Multi-ccy account group is done using this resource. It permits linking a Real customer with its account and currency combination with unique combination of account currency pair. In a Account group, Currency cannot be repeated.",
    "parentcategory": "obvam-core-services",
    "displayName": "Currency Account Group"
},
{
    "index": 3,
    "yaml": "CreditLimitVaLinkage.yaml",
    "description": "This Web API is used to link Internal credit limit to a virtual account. Limit amount can either be mentioned in amount or percentage. During balance calculation, this maintenance will also be included to arrive at effective available balance.",
    "parentcategory": "obvam-account-services",
    "displayName": "Credit Limit Virtual Account Linkage"
},
{
    "index": 3,
    "yaml": "InternalCreditLimit.yaml",
    "description": "Internal Credit Limit is a facility provided at Real customer level. Through this service, a customer can offer credit line facility to its subsidiaries. A Credit line facility can be linked to multiple virtual accounts that belong to same real customer number.",
    "parentcategory": "obvam-account-services",
    "displayName": "Internal Credit Limit"
},
{
    "index": 3,
    "yaml": "LineLimitUtilization.yaml",
    "description": "This Service API is used to track internal credit limit utilization and de-utilization for a virtual account at both contract/transaction and account level. Also this provides the maximum available line amount for a given Line ID.",
    "parentcategory": "obvam-account-services",
    "displayName": "Line Limit Utilizaton"
},
{
    "index": 3,
    "yaml": "ValueDatedBalance.yaml",
    "description": "API for VD Balance Operations.",
    "parentcategory": "obvam-account-services",
    "displayName": "Value Dated Balance"
},
{
    "index": 4,
    "yaml": "balanceServices.yaml",
    "description": "Account Balance Service is used to view the Balance details for an account ",
    "parentcategory": "obvam-account-services",
    "displayName": "Account Balance"
},
{
    "index": 1,
    "yaml": "amountBlock.yaml",
    "description": "Amount blocks Service allows to block amount on virtual accounts. A specified amount can be blocked on a account using this. ",
    "parentcategory": "obvam-eca-services",
    "displayName": "Amount Blocks"
},
{
    "index": 1,
    "yaml": "Entity.yaml",
    "description": "Virtual Entity Service is created to maintain virtual entity for Oracle Banking Virtual Account Management. This service is responsible for validating provided data and maintaining valid virtual entity according to mask, maintained in Bank Parameter level.",
    "parentcategory": "obvam-entity-services",
    "displayName": "OBVAM Entity"
},
{
    "index": 2,
    "yaml": "forgetEntities.yaml",
    "description": "This is a sample for forget entities service. It's a feature where customer/entity can be forgotten from the system. This process can be initiated by the bank/Customer",
    "parentcategory": "obvam-entity-services",
    "displayName": "Forget Entity"
},
{
    "index": 3,
    "yaml": "BankParameters.yaml",
    "description": "Entity Bank Parameter Service is created to maintain Entity Mask and bank Code at Bank Level for Oracle Banking Virtual Account Management,  so that any UI application can invoke to validate and persist the data.",
    "parentcategory": "obvam-entity-services",
    "displayName": "Entity Bank Parameters"
},
{
    "index": 1,
    "yaml": "EcaSystem.yaml",
    "description": "External dda maintenance will be used for creating new external systems in Oracle banking virtual account managemnt product processor so that this can interact with those product processors and vice versa",
    "parentcategory": "obvam-external-dda-services",
    "displayName": "ECA System"
},
{
    "index": 1,
    "yaml": "InternalTransfers.yaml",
    "description": "This is the Service For Internal Transfer that enables Balance transfer between 2 virtual accounts that belong to a real Account.",
    "parentcategory": "obvam-internal-transfer-services",
    "displayName": "Internal Transfer"
},
{
    "index": 1,
    "yaml": "StatementPreferences.yaml",
    "description": "Statement Preferences can be defined for a virtual entity using this service. Depending on statement type, frequency and due on values virtual account statements which contains a list of financial transactions will get generated.",
    "parentcategory": "obvam-statement-services",
    "displayName": "Statement Preferences"
},
{
    "index": 28,
    "yaml": "Entries.yaml",
    "description": "This is a service used by the transaction services for inserting data required for statement generation. There are also two services for getting the data from that was inserted previously by the transaction services.",
    "parentcategory": "obvam-statement-services",
    "displayName": "Entries"
},
{
    "index": 38,
    "yaml": "dashboards.yaml",
    "description": "This is a service used by the other services to insert data required for dashboards generation. There are various get services for each widget of dashboards.",
    "parentcategory": "obvam-statement-services",
    "displayName": "Dashboards"
},
{
    "index": 10,
    "yaml": "extInterestCal.yaml",
    "description": "External Interest Engines to interact with OBLM or other external systems.",
    "parentcategory": "external-interest-engine-service",
    "displayName": "External Interest Calculation"
},
{
    "index": 10,
    "yaml": "IcPref.yaml",
    "description": "This is a sample server icpreferences server.",
    "parentcategory": "external-interest-engine-service",
    "displayName": "Interest Calculation Preferences"
},
{
    "index": 10,
    "yaml": "LmAccount.yaml",
    "description": "This is a sample server account maintenance server.",
    "parentcategory": "external-interest-engine-service",
    "displayName": "Liquidity Management Accounts"
},
{
    "index": 11,
    "yaml": "extLMSystem.yaml",
    "description": "External Liquidity Management Service to interact with External liquidity Management Stystem.",
    "parentcategory": "external-liquidity-management-service",
    "displayName": "External Liquidity Management System"
},
{
    "index": 11,
    "yaml": "LmPref.yaml",
    "description": "This is a sample server lmpreferences server.",
    "parentcategory": "external-liquidity-management-service",
    "displayName": "Liquidity Management Preferences"
},
{
    "index": 9,
    "yaml": "AccFcltyValidation",
    "description": "Adds a new accFcltyValidation. Add additional information here for this endpoint.",
    "parentcategory": "obvam-core-services",
    "displayName": "Account Facility Validation"
},
{
    "index": 9,
    "yaml": "CustomLov	",
    "description": "API for customized LOV's Operations",
    "parentcategory": "obvam-core-services",
    "displayName": "Custom LOV"
},
{
    "index": 4,
    "yaml": "amtBlkForTxnJournal",
    "description": "This is a sample server amountBlock fot transaction journal server.",
    "parentcategory": "obvam-eca-services",
    "displayName": "Amount Block For Transaction Journal"
},
{
    "index": 4,
    "yaml": "ECABlock",
    "description": "Adds a new ECA block. Add additional information here for this endpoint.",
    "parentcategory": "obvam-eca-services",
    "displayName": "ECA Block"
},
{
    "index": 4,
    "yaml": "RateQueue",
    "description": "Authorize the amountBlocks identified by given ID.",
    "parentcategory": "obvam-eca-services",
    "displayName": "Rate Queue"
},
{
    "index": 6,
    "yaml": "InterDda",
    "description": "This is the Service to maintain Due to and Due from GLs of Inter-DDA for the source systems that are maintained in the ECA configuration screen, so that OBVAM can post inter DDA accounting entries to the respective GLs when in a single row the real account and DDA Offset entered are linked to different DDAs.",
    "parentcategory": "obvam-external-dda-services",
    "displayName": "Inter DDA"
},
{
    "index": 6,
    "yaml": "LogEntry",
    "description": "This service will provide facility to store the transaction status as well as business exception based on the request and response from External dda services.",
    "parentcategory": "obvam-external-dda-services",
    "displayName": "Log Entry"
},
{
    "index":15,
    "yaml": "AccountStatement",
    "description": "Get all valid obvam-statement-services. This endpoints will be used to Get all valid obvam-statement-services maintenance records.",
    "parentcategory": "obvam-statement-services",
    "displayName": "Account Statement"
},
{
    "index": 16,
    "yaml": "AccountStatementBatch",
    "description": "This is a service that has to be used for generating account statement.",
    "parentcategory": "obvam-statement-services",
    "displayName": "Account Statement Batch"
},
{
    "index": 17,
    "yaml": "Reports",
    "description": "API for Report Operations",
    "parentcategory": "obvam-statement-services",
    "displayName": "Account Statement Reports"
},
{
    "index": 2,
    "yaml": "TxnExchQueue",
    "description": "API for Transaction exhange rate queue Operations. Header request parameters.",
    "parentcategory": "obvam-transaction-journal-services",
    "displayName": "Transaction Exchange Rate Queue"
}
]}
